backend/controllers/SiteController.php
<?php
namespace backend\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use common\models\User;
use common\models\LoginForm;
use yii\filters\VerbFilter;
/**
 * Site controller
 */
class SiteController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'actions' => ['index','login','logout', 'error'],
                        'allow' => true,
                    ],
                    [
                        'actions' => ['index', 'logout'],
                        'allow' => true,
                        'matchCallback'  => function ($rule, $action) {
                            return (!\Yii::$app->user->isGuest && \common\models\User::findOne(Yii::$app->user->getId())->isAdmin());
                          }
                        ],
                    ],
                ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex()
    {
        return $this->redirect(['data/current']);
    }

    public function actionLogin()
    {
        if (!\Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        } else {
            return $this->render('login', [
                'model' => $model,
            ]);
        }
    }

    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }
}

frontend/controllers/SiteController.php
<?php
namespace frontend\controllers;

use Yii;
use common\models\LoginForm;
use frontend\models\PasswordResetRequestForm;
use frontend\models\ResetPasswordForm;
use frontend\models\SignupForm;
use frontend\models\ContactForm;
use yii\base\InvalidParamException;
use frontend\models\UserProfile;
use yii\web\BadRequestHttpException;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\filters\AccessControl;
use frontend\models\Auth;
use yii\authclient\ClientInterface;
use yii\helpers\ArrayHelper;
use common\models\User;

/**
 * Site controller
 */
class SiteController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => [''],
                'rules' => [
                    [
                        'actions' => [''],
                        'allow' => true,
                        'roles' => ['?'],
                    ],
                    [
                        'actions' => [''],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            /*'error' => [
                'class' => 'yii\web\ErrorAction',
            ],*/
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
            'auth' => [
                'class' => 'yii\authclient\AuthAction',
                'successCallback' => [$this, 'onAuthSuccess'],
            ],
        ];
    }

    public function actionError()
    {
        $exception = Yii::$app->errorHandler->exception;
        if ($exception instanceof \yii\web\NotFoundHttpException) {
            // all non existing controllers+actions will end up here
            return $this->render('pnf'); // page not found
        } else {
          return $this->render('error', ['exception' => $exception]);
        }
    }

    public function actionIndex()
    {
      if (Yii::$app->user->isGuest) {
        $urlPrefix = (isset(Yii::$app->params['urlPrefix'])? $urlPrefix = Yii::$app->params['urlPrefix'] : '');
          $this->layout = 'home';
          return $this->render('index',[
            'urlPrefix'=>$urlPrefix,
          ]);
      } else {
        // user is logged in
        $this->redirect('meeting');
      }
    }

    public function actionNeverland()
    {
      // for abusive scripts like wp-login probes
      Yii::$app->end();
    }

    public function actionOffline()
    {
      return $this->render('offline');
    }

    public function actionLogo()
    {
      return $this->render('logo');
    }

    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        } else {
            return $this->render('login', [
                'model' => $model,
            ]);
        }
    }

    public function actionLogout()
    {
        Yii::$app->user->logout();
        return $this->goHome();
    }

    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            if ($model->sendEmail(Yii::$app->params['adminEmail'])) {
                Yii::$app->session->setFlash('success', 'Thank you for contacting us. We will respond to you as soon as possible.');
            } else {
                Yii::$app->session->setFlash('error', 'There was an error sending email.');
            }

            return $this->refresh();
        } else {
            return $this->render('contact', [
                'model' => $model,
            ]);
        }
    }

    public function actionAbout()
    {
        return $this->render('about');
    }

    public function actionPrivacy()
    {
        return $this->render('privacy');
    }

    public function actionTos()
    {
        return $this->render('tos');
    }

    public function actionSignup()
    {
        $model = new SignupForm();
        if ($model->load(Yii::$app->request->post())) {
            if ($user = $model->signup()) {
                if (Yii::$app->getUser()->login($user)) {
                    return $this->goHome();
                }
            }
        }

        return $this->render('signup', [
            'model' => $model,
        ]);
    }

    public function actionRequestPasswordReset()
    {
        $model = new PasswordResetRequestForm();
        if ($model->load(Yii::$app->request->post()) && $model->validate()) {
            if ($model->sendEmail()) {
                Yii::$app->getSession()->setFlash('success', 'Check your email for further instructions.');
                return $this->goHome();
            } else {
                Yii::$app->getSession()->setFlash('error', 'Sorry, we are unable to reset password for email provided.');
            }
        }

        return $this->render('requestPasswordResetToken', [
            'model' => $model,
        ]);
    }

    public function actionResetPassword($token)
    {
        try {
            $model = new ResetPasswordForm($token);
        } catch (InvalidParamException $e) {
            throw new BadRequestHttpException($e->getMessage());
        }

        if ($model->load(Yii::$app->request->post()) && $model->validate() && $model->resetPassword()) {
            Yii::$app->getSession()->setFlash('success', 'New password was saved.');
            return $this->redirect('login');
        }

        return $this->render('resetPassword', [
            'model' => $model,
        ]);
    }

    public function actionFeatures() {

        return $this->render('features');
    }

    public function actionAuthfailure()
    {
        return $this->render('authfailure');
    }

    public function actionUnavailable()
    {
        return $this->render('unavailable');
    }

    public function onAuthSuccess($client)
      {
        // mode via login or signup
        $mode =  Yii::$app->getRequest()->getQueryParam('mode');
        $attributes = $client->getUserAttributes();
        $serviceId = $attributes['id'];
        $serviceProvider = $client->getId();
        $serviceTitle = $client->getTitle();
        $firstname ='';
        $lastname='';
        $fullname ='';
        switch ($serviceProvider) {
          case 'facebook':
            $username = $email = $attributes['email'];
            $fullname = $attributes['name'];
            break;
          case 'google':
            $email = $attributes['emails'][0]['value'];
            if (isset($attributes['displayName'])) {
                $fullname = $username = $attributes['displayName'];
            }
            if (isset($attributes['name']['familyName']) and isset($attributes['name']['givenName'])) {
              $lastname = $attributes['name']['familyName'];
              $firstname = $attributes['name']['givenName'];
            }
          break;
          case 'linkedin':
            $username = $email = $attributes['email-address'];
            $lastname = $attributes['first-name'];
            $firstname = $attributes['last-name'];
            $fullname = $firstname.' '.$lastname;
          break;
          case 'twitter':
            $username = $attributes['screen_name'];
            $fullname = $attributes['name'];
            // to do - fix social helpers
            $email = $serviceId.'@twitter.com';
          break;
        }
        // to do - split names into first and last with parser
        // lookup social auth result to see if we know it
        $auth = Auth::find()->where([
            'source' => (string)$serviceProvider,
            'source_id' => (string)$serviceId,
        ])->one();
        if (Yii::$app->user->isGuest) {
            // not logged in: either sign in or register
            if ($auth) {
              // if the user_id associated with this oauth login is registered, try to log them in
              $user_id = $auth->user_id;
              $person = new \common\models\User;
              $identity = $person->findIdentity($user_id);
              User::completeInitialize($user_id);
              UserProfile::applySocialNames($user_id,$firstname,$lastname,$fullname);
              Yii::$app->user->login($identity);
            } else {
                // auth_id is new to us
                $user = User::find()->where(['email' => $email])->one();
                // this check may override which mode they came from
                if (is_null($user)) {
                  // email is unregistered, sign them up
                  $mode='signup';
                } else {
                  // email exists, log them in
                  $mode ='login';
                }
                switch ($mode) {
                  case 'login':
                    // logging in but account not yet connected, may be passive
                    $auth = new Auth([
                        'user_id' => $user->id,
                        'source' => $serviceProvider, // $client->getId(),
                        'source_id' => (string)$serviceId, // (string)$attributes['id'],
                    ]);
                    if ($auth->save()) {
                        $user->status = User::STATUS_ACTIVE;
                        $user->update();
                        User::completeInitialize($user->id);
                        UserProfile::applySocialNames($user->id,$firstname,$lastname,$fullname);

frontend/views/site/_old_carousel_slides.php
<div id="myCarousel" class="carousel slide" data-ride="carousel">
  <!-- Indicators -->
  <ol class="carousel-indicators">
    <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
    <li data-target="#myCarousel" data-slide-to="1"></li>
    <li data-target="#myCarousel" data-slide-to="2"></li>
    <li data-target="#myCarousel" data-slide-to="3"></li>
    <li data-target="#myCarousel" data-slide-to="4"></li>
  </ol>

  <!-- Wrapper for slides -->
  <div class="carousel-inner" role="listbox">
    <div class="item active">
      <img src="<?= $urlPrefix ?>/img/carousel-1.jpg" alt="adding participants to meetings">
      <div class="carousel-caption">
        <h3>Adding Participants</h3>
        <p>Add one or many people to a meeting.</p>
      </div>
    </div>

    <div class="item">
      <img src="<?= $urlPrefix ?>/img/carousel-2.jpg" alt="choosing times and places">
      <div class="carousel-caption">
        <h3>Choosing Times and Places</h3>
        <p>Adding dates, times and places is fast and easy.</p>
      </div>
    </div>

    <div class="item">
      <img src="<?= $urlPrefix ?>/img/carousel-3.jpg" alt="choose date times and places">
      <div class="carousel-caption">
        <h3>Choose the Date, Time and Place Together</h3>
        <p>Finalize the time and place based on particpant's availability.</p>
      </div>
    </div>

    <div class="item">
      <img src="<?= $urlPrefix ?>/img/carousel-4.jpg" alt="download to your calendar">
      <div class="carousel-caption">
        <h3>Add to Your Calendar</h3>
        <p>Everyone will receive a calendar entry via email or can download it.</p>
      </div>
    </div>
    <div class="item">
      <img src="<?= $urlPrefix ?>/img/carousel-5.jpg" alt="email reminders">
      <div class="carousel-caption">
        <h3>Reminders</h3>
        <p>Everyone will receive convenient email reminders.</p>
      </div>
    </div>
  </div>

  <!-- Left and right controls -->
  <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
<hr />

frontend/views/site/_old_video_carousel.php
<div class="container-fluid">
	<div class="row-fluid">
	<div class="carousel slide" id="myCarousel">
		<div class="carousel-inner">
			<div class="item active">
				<div class="container">
					<div class="flex-video" style="margin: 0 10%;text-align:center;">
            <div class='embed-container'>
						<iframe src="http://player.vimeo.com/video/188213613?api=1" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
            </div>
					</div>
				</div>
			</div>
			<div class="item">
				<div class="container">
					<div class="flex-video" style="margin: 0 10%;text-align:center;">
            <div class='embed-container'>
						<iframe src="http://player.vimeo.com/video/188218101?api=1" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
            </div>
					</div>
          </div>
			</div>
		</div> <!-- carousel-inner -->
		<a data-slide="prev" href="#myCarousel" class="left carousel-control">‹</a>
		<a data-slide="next" href="#myCarousel" class="right carousel-control">›</a>
		</div>
	</div>
</div>

frontend/views/site/_video_carousel.php
<div id="myCarousel" class="carousel slide" data-ride="carousel">
  <!-- Indicators -->
  <ol class="carousel-indicators">
    <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
    <li data-target="#myCarousel" data-slide-to="1"></li>
  </ol>

  <!-- Wrapper for slides -->
  <div class="carousel-inner" role="listbox">
    <div class="item active">
      <div class="flex-video" style="margin: 0 10%;text-align:center;">
        <div class="embed-container">
        <iframe src="https://player.vimeo.com/video/188213613?api=1" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
        </div>
      </div>
      <div class="carousel-caption">
        <h3><?= Yii::t('frontend','How to Plan a Meeting')?></h3>
        <p><?= Yii::t('frontend','Simple to schedule one on one meetups')?></p>
      </div>
    </div>

    <div class="item">
      <div class="flex-video" style="margin: 0 10%;text-align:center;">
        <div class="embed-container">
        <iframe src="https://player.vimeo.com/video/188218101?api=1" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>
        </div>
      </div>
      <div class="carousel-caption">
        <h3><?= Yii::t('frontend','Planning a Group Meeting')?></h3>
        <p><?= Yii::t('frontend','Easily discover optimal date times and places')?></p>
      </div>
    </div>
  </div>

  <!-- Left and right controls -->
  <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
    <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
    <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>

frontend/views/site/about.php
<?php
use yii\helpers\Html;

/* @var $this yii\web\View */
$this->title = 'About Meeting Planner and Simple Planner';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p class="lead"><a href="https://meetingplanner.io">Meeting Planner</a> and <a href="https://simpleplanner.io">Simple Planner</a> are emerging new apps designed to make scheduling easier and easier. The site has been developed in step with an <a href="https://code.tutsplus.com/tutorials/building-your-startup-with-php-table-of-contents--cms-23316">Envato Tuts+ tutorial series</a> by <a href="http://tutsplus.com/authors/jeff-reifman">founder Jeff Reifman</a>.</p>
     <p class="lead">Every piece of both services has been built out in the open, documented in the series. The application is developed in the <a href="https://code.tutsplus.com/tutorials/programming-with-yii2-getting-started--cms-22440">Yii2 Framework</a> for PHP. Learn more about Jeff or contact him at his <a href="http://jeffreifman.com">website</a>. You can also follow him on Twitter <a href="https://twitter.com/intent/user?screen_name=reifman">@reifman</a>.</p>
    <h2><?= Yii::t('frontend','The Building Your Startup Tutorial Series'); ?></h2>

    <div class="body-content">
		<!--- begin row one --->

        <div class="row">
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','1. Getting Started') ?></h2>

                <p><?= Yii::t('frontend','Follow along with our tutorial series at Tuts+ as we build Meeting Planner step by step. In this episode we talk about startups in general and the goals for our application.') ?></p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-getting-started--cms-21948"><?= Yii::t('frontend','Episode 1') ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','2. Feature Requirements') ?> </h2>

                <p><?= Yii::t('frontend','In Episode 2, we scope out the features that we\'ll need for a minimum viable product and the database schema that will support it.') ?> </p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-feature-requirements-and-database-design--cms-22618"><?= Yii::t('frontend','Episode 2') ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','3. Building Places') ?></h2>

                <p><?= Yii::t('frontend','In Episode 3, we build code to enable meeting places, integrating with HTML 5 Geolocation, Google Maps and Google Places.') ?> </p>

                <p><a class="btn btn-default" href="https://code.tutsplus.com/tutorials/building-your-startup-with-php-geolocation-and-google-places--cms-22729"><?= Yii::t('frontend','Episode 3') ?> &raquo;</a></p>
            </div>
        </div>

		<!--- end row one --->

		<!--- begin row two --->
        <div class="row">
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','4. Localization with I18n') ?></h2>

                <p><?= Yii::t('frontend','Using Yii\'s built in localization capability we create the infrastructure for multiple languages') ?></p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-localization-with-i18n--cms-23102"><?= Yii::t('frontend','Episode 4' ) ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','5. Access Controls, Ownership &amp; Polish') ?> </h2>

                <p><?= Yii::t('frontend','We circle back to polish some of what we\'ve built to date leveraging more of the Yii Framework.') ?> </p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-access-control-active-record-relations-and-slugs--cms-23109"><?= Yii::t('frontend','Episode 5') ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','6. User Settings, Profile Images &amp; Contact Details') ?></h2>

                <p><?= Yii::t('frontend','Building support for infrastructure to support users.') ?> </p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-user-settings-profile-images-and-contact-details--cms-23196"><?= Yii::t('frontend','Episode 6') ?> &raquo;</a></p>
            </div>
        </div>

	<!--- end row two --->
		<!--- begin row three --->
        <div class="row">
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','7. Scheduling Meetings') ?></h2>

                <p><?= Yii::t('frontend','Beginning to build the schedule meeting functionality.') ?></p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-scheduling-a-meeting--cms-23252"><?= Yii::t('frontend','Episode 7' ) ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','8. Scheduling Availability &amp; Choices') ?> </h2>

                <p><?= Yii::t('frontend','Building AJAX to simplify meeting availability and selections.') ?> </p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-scheduling-availability-and-choices--cms-23268"><?= Yii::t('frontend','Episode 8') ?> &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2><?= Yii::t('frontend','9. Viewing the Meeting') ?></h2>

                <p><?= Yii::t('frontend','Extending the default view to provide appropriate commands for specific users.') ?> </p>

                <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-customizing-the-meeting-view--cms-25138"><?= Yii::t('frontend','Episode 9 (coming soon)') ?> &raquo;</a></p>
            </div>
        </div>
	<!--- end row three --->
		<!--- begin row four --->
        <div class="row">
          <div class="col-lg-4">
              <h2><?= Yii::t('frontend','10. Delivering the Meeting Announcement') ?></h2>

              <p><?= Yii::t('frontend','Building the support required to send a meeting request and handle responses from the participant.') ?> </p>

              <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-delivering-the-meeting-invitation--cms-23428"><?= Yii::t('frontend','Episode 10 (coming soon)') ?> &raquo;</a></p>
          </div>
          <div class="col-lg-4">
              <h2><?= Yii::t('frontend','11. Meeting Commands') ?></h2>

              <p><?= Yii::t('frontend','Implementing secure authenticated links within the email and implementing responses to each available command option.') ?> </p>

              <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-email-commands--cms-23288"><?= Yii::t('frontend','Episode 11 (coming soon)') ?> &raquo;</a></p>
          </div>
              <div class="col-lg-4">
                  <h2><?= Yii::t('frontend','12. Generating Calendar Files') ?> </h2>

                  <p><?= Yii::t('frontend','Exporting .ics files for third party calendar integration.') ?> </p>

                  <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-exporting-ical-files-into-calendars--cms-26435"><?= Yii::t('frontend','Episode 12 (coming soon)') ?> &raquo;</a></p>
              </div>
          </div>
      	<!--- end row four --->
        <!--- begin row five --->
            <div class="row">
              <div class="col-lg-4">
                  <h2><?= Yii::t('frontend','13. OAuth Login &amp; Signup') ?></h2>

                  <p><?= Yii::t('frontend','Integrating OAuth authentication to optimize user registration and usability.') ?></p>

                  <p><a class="btn btn-default" href="http://code.tutsplus.com/tutorials/building-your-startup-with-php-simplifying-onramp-with-oauth--cms-23512"><?= Yii::t('frontend','Episode 13 (coming soon)' ) ?> &raquo;</a></p>
              </div>
              <div class="col-lg-4">

              </div>
                  <div class="col-lg-4">

                  </div>
              </div> <!--- end row five --->

          </div> <!-- end body content -->
</div>

frontend/views/site/error.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

$this->title = 'Sorry, We Encountered a Problem';
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

<!-- div class="alert alert-danger" -->
<!-- nl2br(Html::encode($message)) -->

    <p>
        An error occurred while the Web server was processing your request.
    </p>
    <p>
        Please <a href="http://support.meetingplanner.io">contact us</a> if you think this is a server error. Let us know what you we're doing. Thank you.
    </p>

</div>

frontend/views/site/tos.php
<?php
use yii\helpers\Html;

/* @var $this yii\web\View */
$this->title = 'Terms of Conditions and Use';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-privacy">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Meeting Planner is a web service designed to make scheduling as simple as it should be.</p>

    <h3>
    	1. Terms
    </h3>

    <p>
    	By accessing this web site, you are agreeing to be bound by these
    	web site Terms and Conditions of Use, all applicable laws and regulations,
    	and agree that you are responsible for compliance with any applicable local
    	laws. If you do not agree with any of these terms, you are prohibited from
    	using or accessing this site. The materials contained in this web site are
    	protected by applicable copyright and trade mark law.
    </p>

    <h3>
    	2. Use License
    </h3>

    <ol type="a">
    	<li>
    		Permission is granted to temporarily download one copy of the materials
    		(information or software) on Meeting Planner's web site for personal,
    		non-commercial transitory viewing only. This is the grant of a license,
    		not a transfer of title, and under this license you may not:

    		<ol type="i">
    			<li>modify or copy the materials;</li>
    			<li>use the materials for any commercial purpose, or for any public display (commercial or non-commercial);</li>
    			<li>attempt to decompile or reverse engineer any software contained on Meeting Planner's web site;</li>
    			<li>remove any copyright or other proprietary notations from the materials; or</li>
    			<li>transfer the materials to another person or "mirror" the materials on any other server.</li>
    		</ol>
    	</li>
    	<li>
    		This license shall automatically terminate if you violate any of these restrictions and may be terminated by Meeting Planner at any time. Upon terminating your viewing of these materials or upon the termination of this license, you must destroy any downloaded materials in your possession whether in electronic or printed format.
    	</li>
    </ol>

    <h3>
    	3. Disclaimer
    </h3>

    <ol type="a">
    	<li>
    		The materials on Meeting Planner's web site are provided "as is". Meeting Planner makes no warranties, expressed or implied, and hereby disclaims and negates all other warranties, including without limitation, implied warranties or conditions of merchantability, fitness for a particular purpose, or non-infringement of intellectual property or other violation of rights. Further, Meeting Planner does not warrant or make any representations concerning the accuracy, likely results, or reliability of the use of the materials on its Internet web site or otherwise relating to such materials or on any sites linked to this site.
    	</li>
    </ol>

    <h3>
    	4. Limitations
    </h3>

    <p>
    	In no event shall Meeting Planner or its suppliers be liable for any damages (including, without limitation, damages for loss of data or profit, or due to business interruption,) arising out of the use or inability to use the materials on Meeting Planner's Internet site, even if Meeting Planner or a Meeting Planner authorized representative has been notified orally or in writing of the possibility of such damage. Because some jurisdictions do not allow limitations on implied warranties, or limitations of liability for consequential or incidental damages, these limitations may not apply to you.
    </p>

    <h3>
    	5. Revisions and Errata
    </h3>

    <p>
    	The materials appearing on Meeting Planner's web site could include technical, typographical, or photographic errors. Meeting Planner does not warrant that any of the materials on its web site are accurate, complete, or current. Meeting Planner may make changes to the materials contained on its web site at any time without notice. Meeting Planner does not, however, make any commitment to update the materials.
    </p>

    <h3>
    	6. Links
    </h3>

    <p>
    	Meeting Planner has not reviewed all of the sites linked to its Internet web site and is not responsible for the contents of any such linked site. The inclusion of any link does not imply endorsement by Meeting Planner of the site. Use of any such linked web site is at the user's own risk.
    </p>

    <h3>
    	7. Site Terms of Use Modifications
    </h3>

    <p>
    	Meeting Planner may revise these terms of use for its web site at any time without notice. By using this web site you are agreeing to be bound by the then current version of these Terms and Conditions of Use.
    </p>

    <h3>
    	8. Governing Law
    </h3>

    <p>
    	Meeting Planner is owned and operated by NewsCloud Consulting. Any claim relating to Meeting Planner's web site shall be governed by the laws of the State of Washington without regard to its conflict of law provisions.
    </p>

    <p>Please read our <em><?= Html::a('Privacy Policy',['/site/privacy']);?></em></p>
</div>